For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCancel EOR Contract
      • PATCHDelay EOR employee onboarding
      • GETFetch EOR Contract form
      • GETFetch Start Date for EOR Contracts
      • GETGet EOR Additional Costs
      • GETRetrieve Benefits by Country
      • GETRetrieve detailed hiring guide for a country
      • POSTSign EOR contract document
      • PATCHUpdate Employee Information for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Hiring

Sign EOR contract document

POST
/eor/contracts/:contract_id/documents/:type/sign
POST
/rest/v2/eor/contracts/:contract_id/documents/:type/sign
$curl -X POST https://api.letsdeel.com/rest/v2/eor/contracts/contract_id/documents/FRAMEWORK_AGREEMENT/sign \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "document_type": "FRAMEWORK_AGREEMENT",
4 "signature": "Client Signature",
5 "signed_at": "2025-01-01T00:00:00.000Z",
6 "eor_signature": "EOR Signature",
7 "eor_signed_at": "2025-01-01T00:00:00.000Z",
8 "client_job_title": "Job Title"
9 }
10}

Applies a signature and job title to a specified EOR contract document. Currently only the FRAMEWORK_AGREEMENT document type is supported. Token scopes: contracts:write

Was this page helpful?
Previous

Update Employee Information for EOR Contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
EOR contract ID
typeenumRequired

The type of document. Currently only FRAMEWORK_AGREEMENT is supported.

Allowed values:

Request

This endpoint expects an object.
dataobjectOptional

Response

The document has been signed
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication